tbb::internal::parallel_for_each_impl< Iterator, Function, std::random_access_iterator_tag > Struct Template Reference

`#include <parallel_for_each.h>`

Collaboration diagram for tbb::internal::parallel_for_each_impl< Iterator, Function, std::random_access_iterator_tag >:

## Static Public Member Functions

static void | doit (Iterator first, Iterator last, const Function &f, task_group_context &context)
static void | doit (Iterator first, Iterator last, const Function &f)

## Detailed Description

### template<typename Iterator, typename Function>
struct tbb::internal::parallel_for_each_impl< Iterator, Function, std::random_access_iterator_tag >

Definition at line 70 of file parallel_for_each.h.

## Member Function Documentation

## doit() [1/2]

template<typename Iterator , typename Function >

static void tbb::internal::parallel_for_each_impl< Iterator, Function, std::random_access_iterator_tag >::doit | ( | Iterator | first,
|  | Iterator | last,
|  | const Function & | f
| ) |  |

inline static

Definition at line 77 of file parallel_for_each.h.

{
internal::parallel_for_each_body_for<Function, Iterator> body(f);
tbb::parallel_for(tbb::blocked_range<Iterator>(first, last), body);
}

References tbb::internal::first(), tbb::internal::last(), and tbb::parallel_for().

Here is the call graph for this function:

## doit() [2/2]

template<typename Iterator , typename Function >

static void tbb::internal::parallel_for_each_impl< Iterator, Function, std::random_access_iterator_tag >::doit | ( | Iterator | first,
|  | Iterator | last,
|  | const Function & | f,
|  | task_group_context & | context
| ) |  |

inline static

Definition at line 72 of file parallel_for_each.h.

{
internal::parallel_for_each_body_for<Function, Iterator> body(f);
tbb::parallel_for(tbb::blocked_range<Iterator>(first, last), body, context);
}

References tbb::internal::first(), tbb::internal::last(), and tbb::parallel_for().

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- parallel_for_each.h

tbb::blocked_range
A range over which to iterate.
Definition: blocked_range.h:45
tbb::parallel_for
void parallel_for(const Range &range, const Body &body)
Parallel iteration over range with default partitioner.
Definition: tbb/parallel_for.h:200
tbb::internal::first
auto first(Container &c) -> decltype(begin(c))
Definition: _range_iterator.h:34
tbb::internal::last
auto last(Container &c) -> decltype(begin(c))
Definition: _range_iterator.h:40

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.